---

#! jobs/ftrace-onoff.yaml
suite: ftrace-onoff
testcase: ftrace-onoff
category: functional
runtime: 5m
need_memory: 1G
ftrace-onoff:
job_origin: ftrace-onoff.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-kbl-d01
tbox_group: lkp-kbl-d01
job_file: "/lkp/jobs/scheduled/lkp-kbl-d01/ftrace-onoff-5m-debian-11.1-x86_64-20220510.cgz-af560701e366-20240227-25683-1gpkvhu-0.yaml"
id: 1bbf04dc5717c358a493c5a88a212dfb13c8e01e
queuer_version: "/zday/lkp"

#! /db/releases/20240225132957/lkp-src/hosts/lkp-kbl-d01
model: Kaby Lake
nr_node: 1
nr_cpu: 8
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM003-1CH162_Z1D3X32H-part*"
ssd_partitions: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part1"
rootfs_partition: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part2"
brand: Intel(R) Core(TM) i7-7700 CPU @ 3.60GHz

#! /db/releases/20240225132957/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240225132957/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240225132957/lkp-src/include/ftrace-onoff
need_kconfig:
- FTRACE: y

#! /db/releases/20240225132957/lkp-src/include/queue/cyclic
commit: af560701e366502504aebae54af374710e35b55b

#! /db/releases/20240225132957/lkp-src/include/testbox/lkp-kbl-d01
ucode: '0xf4'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- E1000E: y
- SATA_AHCI
kconfig: x86_64-rhel-8.3-func
enqueue_time: 2024-02-27 17:39:35.547630556 +08:00
_rt: "/result/ftrace-onoff/5m/lkp-kbl-d01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b"
compiler: gcc-12
head_commit: c6788a290ae98517a73c99ae5e83630e318154e0
base_commit: b401b621758e46812da61fa58a67c3fd8d91de0d
branch: linux-devel/devel-hourly-20240226-025734
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240227-161206"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/ftrace-onoff/5m/lkp-kbl-d01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b/vmlinuz-6.8.0-rc5-00003-gaf560701e366
- branch=linux-devel/devel-hourly-20240226-025734
- job=/lkp/jobs/scheduled/lkp-kbl-d01/ftrace-onoff-5m-debian-11.1-x86_64-20220510.cgz-af560701e366-20240227-25683-1gpkvhu-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-func
- commit=af560701e366502504aebae54af374710e35b55b
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240225132957/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-kbl-d01/ftrace-onoff-5m-debian-11.1-x86_64-20220510.cgz-af560701e366-20240227-25683-1gpkvhu-0.cgz"
last_kernel: 6.8.0-rc6-wt-ath-15105-gd9891643891a
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b/vmlinuz-6.8.0-rc5-00003-gaf560701e366"
result_root: "/result/ftrace-onoff/5m/lkp-kbl-d01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-func/gcc-12/af560701e366502504aebae54af374710e35b55b/0"

#! /cephfs/db/releases/20240227165420/lkp-src/include/site/inn
dequeue_time: 2024-02-27 18:33:09.691924282 +08:00
job_state: booting
